Skip to main content
POST
Set project spending cap

Authorizations

Authorization
string
header
required

Organization Admin API key with an appropriate scope. Customer keys cannot call organization routes.

Path Parameters

project_id
string<uuid>
required

Resource identifier from a previous API response.

Body

application/json
amount_usd
required

Monthly USD cap, positive and no greater than 1,000,000, with at most six decimal places.

Required range: x > 0
alert_threshold_basis_points
integer | null

Optional threshold metadata from 0 to 10,000. This release does not send threshold notifications.

Required range: 0 <= x <= 10000

Response

Successful response.

id
string<uuid>
required
scope
enum<string>
required
Available options:
organization,
project
amount_usd
string
required

Monthly USD cap, positive and no greater than 1,000,000, with at most six decimal places.

created_at
integer
required
updated_at
integer
required
object
string
default:organization.spend_limit
Allowed value: "organization.spend_limit"
project_id
string | null
period
string
default:monthly
Allowed value: "monthly"
status
string
default:active
Allowed value: "active"
alert_threshold_basis_points
integer | null

Optional threshold metadata from 0 to 10,000. This release does not send threshold notifications.